%global gname haclient
%global uname hacluster
%global crmsh_docdir %{_defaultdocdir}/%{name}

%define	checkout	6cf4ba4f2568
Name:		crmsh
Summary:	Pacemaker command line interface
Version:	1.2.5
Release:	%mkrel 3
License:	GPLv2
Url:		http://savannah.nongnu.org/projects/crmsh
Group:		System/Base
Source0:	crmsh-%{checkout}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
AutoReqProv:	on
Requires(pre):	pacemaker
Requires:	python >= 2.4
Requires:	python-dateutil
Requires:       pssh
Requires:       pacemaker
Requires:	corosync

BuildRequires:	pacemaker-devel 
BuildRequires:  automake 
BuildRequires:	autoconf 
BuildRequires:	pkgconfig 
BuildRequires:	python
BuildRequires:	asciidoc
BuildRequires:	libtool
BuildRequires:  corosync 
BuildRequires:	procps 
BuildRequires:	vim-minimal 
BuildRequires:	python-dateutil
BuildRequires:	xsltproc
BuildRequires:	dblatex
BuildRequires:	fop
BuildRequires:	w3m

%description
crm shell, a Pacemaker command line interface.

Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Heartbeat and/or Corosync.

Authors: Dejan Muhamedagic <dejan@suse.de> and many others

%prep
%setup -q -n crmsh-%{checkout}

# Force the local time
#
# 'hg archive' sets the file date to the date of the last commit.
# This can result in files having been created in the future
# when building on machines in timezones 'behind' the one the 
# commit occurred in - which seriously confuses 'make'
find . -exec touch \{\} \;

%build
./autogen.sh

%configure2_5x		\
	--localstatedir=%{_var}	\
	--with-package-name=%{name} \
	--with-version=%{version}-%{release} \
	--docdir=%{crmsh_docdir}

%make  docdir=%{crmsh_docdir}

%install
make DESTDIR=%{buildroot} docdir=%{crmsh_docdir} install

%post
# Needed so that the shell doesn't get stuck on escape
# sequences
if ! /usr/share/crmsh/tests/regression.sh ; then
	echo "Shell tests failed."
	cat crmtestout/regression.out
	exit 1
fi

%files
###########################################################
%defattr(-,root,root)

%{_datadir}/crmsh

%{_sbindir}/crm
%{py_platsitedir}/crmsh

%doc %{_mandir}/man8/crm.8*
%{crmsh_docdir}/COPYING
%{crmsh_docdir}/AUTHORS
%{crmsh_docdir}/crm.8.html
%{crmsh_docdir}/ChangeLog
%{crmsh_docdir}/README
%{crmsh_docdir}/contrib/*

%dir %{crmsh_docdir}
%dir %{crmsh_docdir}/contrib
%dir %attr (770, %{uname}, %{gname}) %{_var}/cache/crm



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.2.5-3.mga4
+ Revision: 522504
- Mageia 4 Mass Rebuild

* Thu Mar 14 2013 dlucio <dlucio> 1.2.5-2.mga3
+ Revision: 402973
- Needs corosync to run

* Thu Mar 14 2013 dlucio <dlucio> 1.2.5-1.mga3
+ Revision: 402964
- more BR
- xsltproc as BR
- Cleanups
- imported package crmsh

